[nsd-users] NSD4 beta2

Tom Hendrikx tom at whyscream.net
Fri Jan 18 22:32:10 CET 2013


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 18/01/13 13:53, W.C.A. Wijngaards wrote:
> Hi Tom,
> 
> Thank you for the usage report.
> 
> On 01/16/2013 11:58 PM, Tom Hendrikx wrote:
>> On 16/01/13 23:28, Tom Hendrikx wrote:
>>> On 10-01-13 10:33, W.C.A. Wijngaards wrote:
>>>> Hi,
> 
>>>> The new beta for NSD4 is available, NSD4.0.0b2:
> 
>>>> Please report user experiences, bugs and omitted features.
> 
> 
>>> 1) No mention of libevent/libev support in README.
> 
> Fixed, it supports 'em, and you can use 'no' to get a builtin.
> 
>>> 2) I'm running into the issue described in 
>>> http://open.nlnetlabs.nl/pipermail/nsd-users/2011-March/001219.html
>
>>> 
>>> 
> 
>> This is on Gentoo linux, using gcc 4.5.2 (hardened). Using 
>> -fno-inline
>>> also fixes it, switching to gcc 4.6.3 too. The thread isn't 
>>> completed with a resolution, and I can't seem to find a
>>> related bug in bugzilla either.
> 
> I reproduced this, and fixed it in svn trunk.  Could you try to see
> if it works for you too?

Tested with r3811, works now. Thanks :)

> 
> What happens is that -combine does not work with particular 
> system-headers and gcc-version combinations.
> 
>>> 3) Nitpick: nsd.conf.sample has a mix of tabs and spaces in 
>>> indentation, which ruins formatting when you set tabsize to 
>>> anything else than 4 spaces. Got really really confused reading
>>>  pattern: and key: sections with tabsize=2 :)
> 
> I tried to clean this up.  tabsize=whatever should work fine.

Looks much better now, although tabsize 2 still messes up the
difference between sections and options a bit. maybe just use 4 spaces
in stead of tabs?:)

> 
>> And maybe a late feature request which I think has been mentioned
>>  before (but I can't find the thread): refactor the config
>> options ip4-only and ip6-only into more straightforward names and
>>  functionality: do-ip4 and do-ip6. A major version change would
>> be a nice time to do that. The old options could still be
>> supported, and become deprecated in v4.2 or so...
> 
> I'll look at this too.
> 

Great, thanks!

Have a nice weekend,
	Tom
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJQ+b9ZAAoJEJPfMZ19VO/1YX4P/jMk+1GLddTezl293MSELWaM
2GgbK5enMxXW1j/dsjpucaTq4aI9RwWWnhg2kIuPhQ+N12WNO5lU6TOnJSjUwWVY
SXa9ETzSx2yrUuvxif0YL+39jcIQSo7j+GLKa6LXuHhipOHYEIAu/I4ouieZSdPE
a9Dz54A2zrTilcrMs7PHm4yedKKUFnPvNlOtI4P1cEpWHW4i3h0VFUeksH78YXP9
FBZPTSdg5ejXc8tkOZjqnfHyckEjfpmSZ/y5ZgvMs48yxK+wpvi8vgaGn8dNAIHD
clZr0rcnTP3NtLRfD0E2A7g7OcvT7DGRm/Lfe8s8EaL+GWOxy+dtwsTdVkIix6sq
k4OiE29hodgslP19gTtsYfDSToYCb3H3R3vxn32o0fKXCAxNmhBSl4cNbvQsHrDj
EHdJLPoLZ9JwGZr2XpWa0O1zqBDJ6MqcJKPzbYp+Hn3p+TE0iqIEHD6dH8TZ8sLf
0YOa0BDGpab5n4FAdy4rgpMVhxccC2s82xDiTMb0okgBvy/0x0NA3yoByOkJowdj
YGQc3p1wJxiymEZgWbjjSKHg8VVWTiS9ubNiBUwl/1Y/LgIuL8TvHoBBVmVH+X64
2SfnefUME9kcTLlzMow/ifhU6FkUvYQ1FUOrjsl3ZRfgD0gucPitrPFJ8RrjWNF8
MKxzp+MV2YcfWd3+HrO4
=8upF
-----END PGP SIGNATURE-----


More information about the nsd-users mailing list